flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLINK-2037) Unable to start Python API using ./bin/pyflink*.sh
Date Thu, 21 May 2015 16:15:17 GMT

    [ https://issues.apache.org/jira/browse/FLINK-2037?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14554589#comment-14554589
] 

ASF GitHub Bot commented on FLINK-2037:
---------------------------------------

Github user StephanEwen commented on the pull request:

    https://github.com/apache/flink/pull/691#issuecomment-104338801
  
    Okay, python should definitely work in the release, so let's go for the short term fix
first.


> Unable to start Python API using ./bin/pyflink*.sh
> --------------------------------------------------
>
>                 Key: FLINK-2037
>                 URL: https://issues.apache.org/jira/browse/FLINK-2037
>             Project: Flink
>          Issue Type: Bug
>          Components: Python API
>    Affects Versions: 0.9
>            Reporter: Robert Metzger
>            Assignee: Robert Metzger
>            Priority: Critical
>
> Calling {{./bin/pyflink3.sh}} will lead to
> {code}
> ./bin/pyflink3.sh
> log4j:WARN No appenders could be found for logger (org.apache.hadoop.metrics2.lib.MutableMetricsFactory).
> log4j:WARN Please initialize the log4j system properly.
> log4j:WARN See http://logging.apache.org/log4j/1.2/faq.html#noconfig for more info.
> JAR file does not exist: /home/robert/incubator-flink/build-target/bin/../lib/flink-python-0.9-SNAPSHOT.jar
> Use the help option (-h or --help) to get help on the command.
> {code}
> This is due to the script expecting a {{flink-python-0.9-SNAPSHOT.jar}} file to exist
in {{lib}} (its wrong anyways that the version name is included here. That should be replaced
by a {{*}}).
> I'll look into the issue ...



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message